Rem  $Header: xmlnnmcover.sql 02-apr-00.00:24:59 kkarun Exp $ 
Rem
Rem  Copyright (c) Oracle Corporation 1999, 2000. All Rights Reserved. 
Rem
Rem  DESCRIPTION
Rem
Rem  NOTES
Rem 
Rem 
Rem  MODIFIED    (MM/DD/YY)
Rem  kkarun      04/02/00 - change id to number
Rem  nramakri    09/17/99 - Creation
Rem

create or replace package xmlnnmcover is

FUNCTION getNamedItem(id number, name varchar2) return number
is language java
name 'oracle.xml.parser.plsql.XMLNNMCover.getNamedItem(int, java.lang.String) 
	returns int';

FUNCTION setNamedItem(id number, arg number, err in out number) 
return number
is language java
name 'oracle.xml.parser.plsql.XMLNNMCover.setNamedItem(int, int, 
                               int[]) 
returns int';

FUNCTION removeNamedItem(id number, name varchar2, err in out number) 
return number
is language java
name 'oracle.xml.parser.plsql.XMLNNMCover.removeNamedItem(int, 
        java.lang.String, int[]) returns int';

FUNCTION item(id number, idx number) return number
is language java
name 'oracle.xml.parser.plsql.XMLNNMCover.item(int, int) returns int';

FUNCTION getLength(id number) return number
is language java
name 'oracle.xml.parser.plsql.XMLNNMCover.getLength(int) returns int';

end;
/
show errors;
